Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041732
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2019-09-02 12:202019-09-05 18:16
Reporterjoniturralde93View Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision6d7d3f49595c
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2018-03-18
Regression introduced in release3.0PR19Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/a121302dfba615e486bbfcd4fe8caaed6116e051 [^]
Triggers an Emergency PackNo
Summary

0041732: Modify payment plan recalculation when deleting line

DescriptionWhen you do a Modify Payment plan when there two lines, prior to 19Q2 you could delete the first one and change the second one quantity to the total, and after pressing enter, Expected amount would be recalculated.

After 19Q2, this doesn't happen. You need to change the first line Outstanding to 0 and the second line to the total amount, and then after pressing enter, Expected amount is recalculated.
Steps To Reproduce1. Make "Modify Payment Plan" button in Sales invoice visible
2. Find or create an invoice with two lines of payment plan
3. Modify Payment plan
4a. Delete first line
5a. Change outstanding of second line to total and press enter
6a. Expected amount is not recalculated (in 19Q1 it is)

Workaround for 19Q2:
4b. Change first line outstanding to 0
5b. Change outstanding of second line to total and press enter
6b. Expected amount is recalculated
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00417373.0PR19Q3.1 closedcollazoandy4 Modify payment plan recalculation when deleting line 
depends on backport 00417383.0PR19Q2.3 closedcollazoandy4 Modify payment plan recalculation when deleting line 
causes defect 0041935 closedmarkmm82 Modify Payment Plan shows invalid amount when changing payment methods. 

-  Notes
(0114384)
collazoandy4 (developer)
2019-09-03 18:05

Test Plan
  Make "Modify Payment Plan" button in Sales invoice visible
  Go to Payment Term window and create a new record:
    Search Key/Name: Term
    Offset Month Due: 1
    Overdue Payment Days Rule: 10
    Create a new record in Lines tab:
      Percentage Due: 50
      Overdue Payment Days Rule: 1
      Rest: N
    Create another record in Lines tab:
      Percentage Due: 50
      Overdue Payment Days Rule: 1
      Rest: Y
  Go to Sales Invoice and create a new record:
    Business Partner: Alimentos y Supermercados, S.A
    Payment Term: Term
    Create a new record in Lines tab:
      Product: Limonada 0,5L
      Invoiced Quantity: 100
    Complete the invoice and check:
      There are 3 records in Payment Plan
      Invoice total amount is 100.43
    Click on Modify Payment Plan button
      Remove the first record
      Edit the outstanding amount of the second record to 75.33 and check the amounts are properly recalculated
      Click on Submit button, refresh Payment Plan tab and check:
        There are 2 records in Payment Plan with 25.10 and 75.33
    Click on Modify Payment Plan button
      Add a new record with Outstanding: 25.11, Payment Method: Al contado
      Edit the line with Outstanding 75.33 to 50.22
      Click on Submit button, Refresh Payment Plan tab and check:
        There are 3 records in Payment Plan with 25.10, 25.11 and 75.33
    Click on Modify Payment Plan button
      Edit the Payment method Al contado to Transferencia
      Click on Submit button, Refresh Payment Plan tab and check the payment method is updated
(0114385)
collazoandy4 (developer)
2019-09-03 18:13

Test Plan Related to issue 40392:
As System Admin mode:
   Set Modify Payment Plan field in Payment Plan tab of Purchase Invoice and Sales Invoice windows

Compile the window and restart Tomcat

As group admin role:
   Create a Purchase Invoice with a total amount of 381.15 and complete it
   Modify it's Payment Plan:
      1) Change the amount of the line to 200
      2) Add a new line with a different Due date and Payment Method and an amount of 181.15
   Submit
   Refresh the tab and check two lines are created
   Modify it's Payment Plan again: try to change the Payment Method in the second line
   Check no error message is shown.

   Modify it's Payment Plan again: try to change the amounts in both lines keeping the sum of them equals than the outstanding origina amount (381.15). For example you can exchange the amount of each line, set 200 in the second line and 181.15 in the first line.
   Submit
   Refresh the tab and check two lines are updated with the previously changed amounts.

   Modify it's Payment Plan again: try to change the amounts in any line in a way that the sum of the new outstanding amounts is different than the original one (381.15). For example you set 400 in the second line .
   Submit
   Check an error message is shown.
      "One or more fields contain illegal values, check the errors for each field."
   The Outstanding field of the two lines appear in red as the sum of the new enetered outstanding amount is different tha the original one.
(0114418)
hgbot (developer)
2019-09-05 12:17

Repository: erp/devel/pi
Changeset: 6d7d3f49595c3a30f2382bdb6ce9a196a5f6e647
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Sep 03 01:08:32 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/6d7d3f49595c3a30f2382bdb6ce9a196a5f6e647 [^]

Fixes issue 41732: Modify payment plan recalculation when deleting line

A wrong outstanding amount was used to check if all payment plan lines are valid

Now if the total outstanding amount plus the total received are distinct from the
invoice grand total an error is shown indicating a wrong payment plan quantity

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-utilities.js
---
(0114421)
Sandrahuguet (developer)
2019-09-05 12:19

code review + testing ok
(0114429)
hudsonbot (developer)
2019-09-05 18:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/494bf1e23c6a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-09-02 12:20 joniturralde93 New Issue
2019-09-02 12:20 joniturralde93 Assigned To => Triage Finance
2019-09-02 12:20 joniturralde93 Modules => Core
2019-09-02 12:20 joniturralde93 Regression level => Production - Confirmed Stable
2019-09-02 12:20 joniturralde93 Regression introduced in release => 3.0PR19Q2
2019-09-02 12:20 joniturralde93 Triggers an Emergency Pack => No
2019-09-02 12:22 Sandrahuguet Regression date => 2018-03-18
2019-09-02 12:22 Sandrahuguet Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/a121302dfba615e486bbfcd4fe8caaed6116e051 [^]
2019-09-02 12:22 Sandrahuguet Assigned To Triage Finance => collazoandy4
2019-09-02 12:36 Practics Issue Monitored: Practics
2019-09-02 17:30 Sandrahuguet Status new => scheduled
2019-09-03 18:05 collazoandy4 Note Added: 0114384
2019-09-03 18:13 collazoandy4 Note Added: 0114385
2019-09-05 12:17 hgbot Checkin
2019-09-05 12:17 hgbot Note Added: 0114418
2019-09-05 12:17 hgbot Status scheduled => resolved
2019-09-05 12:17 hgbot Resolution open => fixed
2019-09-05 12:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6d7d3f49595c3a30f2382bdb6ce9a196a5f6e647 [^]
2019-09-05 12:19 Sandrahuguet Review Assigned To => Sandrahuguet
2019-09-05 12:19 Sandrahuguet Note Added: 0114421
2019-09-05 12:19 Sandrahuguet Status resolved => closed
2019-09-05 12:19 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-09-05 18:16 hudsonbot Checkin
2019-09-05 18:16 hudsonbot Note Added: 0114429
2019-10-04 22:33 lbressan Relationship added causes 0041935


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker